@import "node_modules/ol/ol.css";

:root {
    --font-color: #242424;
    --primary-color: hsl(61, 67%, 48%);
    --primary-light-color: #e8ecd8;
    --secondary-color: #000000;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    color: var(--font-color);
}

.header {
    background-color: var(--primary-color);
    padding: 2px 24px;
}

.content,
.search-bar {
    padding: 16px;
}

.search-bar {
    background-color: var(--primary-light-color);
}

.horizontal-spacer {
    flex: 1 1 auto;
}

.form-container > form {
    display: flex;
    align-items: center;
    margin-bottom: 0;
}

.form-item {
    margin-right: 16px;
}

.form-item > input {
    line-height: 32px;
    height: 32px;
    border: 1px solid #747474;
    border-radius: 4px;
    width: 200px;
    padding: 0 8px;
    background-color: rgba(255,255,255, 0.8);
}

button {
    background: none;
    background-color: var(--secondary-color);
    border-radius: 8px;
    padding: 8px 16px;
    border: none;
    font-size: 16px;
    color: white;
    cursor: pointer;
}

button:hover {
    color: white;
    background-color: #008F8F;
}
  
button:focus {
    outline: none;
    background-color: #00C4C4;
    color: var(--font-color);
}

.error-message {
    text-align: center;
    background-color: #c62828;
    color: white;
    font-size: 18px;
    padding: 10px;
    border-radius: 4px;
}

.data-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}

.loader,
.loader:before,
.loader:after {
  border-radius: 50%;
}
.loader {
  color: var(--secondary-color);
  font-size: 11px;
  text-indent: -99999em;
  margin: 55px auto;
  position: relative;
  width: 10em;
  height: 10em;
  box-shadow: inset 0 0 0 1em;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}
.loader:before,
.loader:after {
  position: absolute;
  content: '';
}
.loader:before {
  width: 5.2em;
  height: 10.2em;
  background: white;
  border-radius: 10.2em 0 0 10.2em;
  top: -0.1em;
  left: -0.1em;
  -webkit-transform-origin: 5.1em 5.1em;
  transform-origin: 5.1em 5.1em;
  -webkit-animation: load2 2s infinite ease 1.5s;
  animation: load2 2s infinite ease 1.5s;
}
.loader:after {
  width: 5.2em;
  height: 10.2em;
  background: white;
  border-radius: 0 10.2em 10.2em 0;
  top: -0.1em;
  left: 4.9em;
  -webkit-transform-origin: 0.1em 5.1em;
  transform-origin: 0.1em 5.1em;
  -webkit-animation: load2 2s infinite ease;
  animation: load2 2s infinite ease;
}
@-webkit-keyframes load2 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load2 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes fadeIn {
  0% {opacity:0;}
  100% {opacity:1;}
}

div.cinereousTable {
  background-color: #FFE3C6;
  width: 100%;
  height: 100%;
  text-align: center;
}
.divTable.cinereousTable .divTableCell, .divTable.cinereousTable .divTableHead {
  border: 1px solid #948473;
  padding: 4px 4px;
}
.divTable.cinereousTable .divTableBody .divTableCell {
  font-size: 13px;
}
.divTable.cinereousTable .divTableHeading {
  background: #948473;
  background: -moz-linear-gradient(top, #afa396 0%, #9e9081 66%, #948473 100%);
  background: -webkit-linear-gradient(top, #afa396 0%, #9e9081 66%, #948473 100%);
  background: linear-gradient(to bottom, #afa396 0%, #9e9081 66%, #948473 100%);
}
.divTable.cinereousTable .divTableHeading .divTableHead {
  font-size: 17px;
  font-weight: bold;
  color: #F0F0F0;
  text-align: left;
  border-left: 2px solid #948473;
}
.divTable.cinereousTable .divTableHeading .divTableHead:first-child {
  border-left: none;
}

.cinereousTable .tableFootStyle {
  font-size: 16px;
}
/* DivTable.com */
.divTable{ display: table; }
.divTableRow { display: table-row; }
.divTableHeading { display: table-header-group;}
.divTableCell, .divTableHead { display: table-cell;}
.divTableHeading { display: table-header-group;}
.divTableFoot { display: table-footer-group;}
.divTableBody { display: table-row-group;}